Partner end user connections list
GET
https://app.sulus.ai/api/partner-end-user/connections
List all GoHighLevel connections for the current user
Authentication
Send a bearer token created on your dashboard's Developer page:
Authorization: Bearer <YOUR_API_KEY>
Errors
| Status | Meaning | Body |
|---|---|---|
401 |
Missing or invalid bearer token | {"success":false,"message":"Unauthenticated"} |
400 |
No reseller context on the request | {"success":false,"message":"No reseller context found"} |
404 |
Reseller row missing | {"success":false,"message":"Reseller not found"} |
403 |
Feature ghl_connect not enabled for the account | {"message":"This feature is not enabled for your account. Please contact your administrator.","feature":"ghl_connect"} |
Notes
- Projection never includes access_token or refresh_token.
curl --request GET \
--url https://app.sulus.ai/api/partner-end-user/connections \
--header 'Authorization: Bearer <YOUR_API_KEY>'
import requests
url = "https://app.sulus.ai/api/partner-end-user/connections"
headers = {"Authorization": "Bearer <YOUR_API_KEY>"}
response = requests.get(url, headers=headers)
print(response.json())
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://app.sulus.ai/api/partner-end-user/connections"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <YOUR_API_KEY>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Response
200
{
"success": true,
"data": {
"connections": [
{
"id": 12,
"connected": true,
"ghl_location_id": "loc_abc123XYZ",
"location_name": "Downtown Office",
"ghl_company_id": "comp_def456",
"is_default": true,
"token_expires_at": "2026-08-30T14:00:00.000000Z",
"updated_at": "2026-07-30T14:05:00.000000Z"
}
]
}
}
Response — GET
/partner-end-user/connections
200
{
"success": true,
"data": {
"connections": [
{
"id": 12,
"connected": true,
"ghl_location_id": "loc_abc123XYZ",
"location_name": "Downtown Office",
"ghl_company_id": "comp_def456",
"is_default": true,
"token_expires_at": "2026-08-30T14:00:00.000000Z",
"updated_at": "2026-07-30T14:05:00.000000Z"
}
]
}
}